<?php

namespace App\Policies;

use App\Models\Admin;
use App\Models\Promotion;
use Illuminate\Auth\Access\HandlesAuthorization;

class PromotionPolicy
{
    use HandlesAuthorization;

    public function viewAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('view promotions');
    }

    public function view(Admin $admin, Promotion $promotion): bool
    {
        return $admin->hasPermissionTo('view promotions');
    }

    public function create(Admin $admin): bool
    {
        return $admin->hasPermissionTo('create promotions');
    }

    public function update(Admin $admin, Promotion $promotion): bool
    {
        return $admin->hasPermissionTo('update promotions');
    }

    public function delete(Admin $admin, Promotion $promotion): bool
    {
        return $admin->hasPermissionTo('delete promotions');
    }

    public function restore(Admin $admin, Promotion $promotion): bool
    {
        return $admin->hasPermissionTo('restore promotions');
    }

    public function forceDelete(Admin $admin, Promotion $promotion): bool
    {
        return $admin->hasPermissionTo('force delete promotions');
    }
}
